Get all market segments
get
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment
Returns a list of market segments that match the search criteria.
Request
Query Parameters
-
description: string
The description of the resource.
-
eligibleForProject: string
The project ID.
-
fields: string
The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.
-
id: string
The unique ID of the resource item.
-
lastUpdate: string
Filters resources by their last update date and time.
-
lifecycleStatus: string
The current lifecycle status of the resource.
-
limit: integer
The number of resources to be returned in the response. The minimum value that can be specified is 1, and the maximum value that can be specified is 100,000. If the specified value is greater than 100,000, then it defaults to 100,000.
-
name: string
The name of the resource.
-
offset: string
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
-
project.id: string
The ID of the project for filtering resource results.
-
project.version: string
The project version for filtering entities.
-
validFor.endDateTime: string
The valid for end date time for filtering entities.
-
validFor.startDateTime: string
The valid for start date time for filtering entities.
-
whereUsed: string
Whether to enrich objects with usedBy information.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The list of market segments was returned successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object MarketSegmentOracle
Title:
MarketSegmentOracleThe market segment resource.
Nested Schema : MarketSegmentOracle
Type:
objectTitle:
MarketSegmentOracleThe market segment resource.
Show Source
-
@baseType: string
The base type of the market segment.
-
@schemaLocation: string
The URI of the schema that defines the market segment.
-
@type(required): string
The class type of the market segment.
-
applicationName: string
The name of the application associated with the market segment.
-
created: string
(date-time)
The date and time of the market segment creation.
-
createdBy: string
The name of the person who created the market segment.
-
description: string
The description of market segment.
-
externalId: string
The ID of the external associated with the market segment.
-
href: string
The hyperlink reference to the market segment.
-
id: string
Maximum Length:
30The ID of the market segment. -
lastUpdate: string
(date-time)
The date and time when the market segment was last updated.
-
lastUpdatedBy: string
The name of the person who updated the market segment.
-
lifecycleStatus: string
The status of the market segment.
-
name(required): string
The name of the market segment.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
validFor: object
TimePeriod
Title:
TimePeriodThe period for which the productOffering is valid. -
version: string
The market segment version.
-
versionState: number
The version state of the market segment.
Nested Schema : ProjectRef
Type:
objectTitle:
ProjectRefThe project reference resource.
Show Source
-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
Nested Schema : TimePeriod
Type:
objectTitle:
TimePeriodThe period for which the productOffering is valid.
Show Source
-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to get all market segments by submitting a GET request on the REST resource using cURL.
cURL Command
curl -u username:password -X GET
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment
\ -H 'Content-Type: application/json'
Example of Response Body
The following example shows the contents of the response body in JSON format.
[
{
"id": "MS-3109730861",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment/MS-3109730861",
"name": "Enterprise",
"description": "Enterprise Segment Customers",
"lifecycleStatus": "In design",
"lastUpdate": "2025-10-23T08:09:44.080Z",
"validFor": {
"startDateTime": "2025-09-12T00:00:00.000Z",
"endDateTime": "2025-10-09T00:00:00.000Z"
},
"version": "1.0",
"@type": "MarketSegmentOracle",
"project": {
"id": "P-2341675923-1758270057151",
"name": "Retire Init3",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-2341675923-1758270057151",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"lastUpdatedBy": "booth",
"created": "2025-10-23T08:09:44.000Z",
"createdBy": "booth",
"versionState": 0
},
{
"id": "MS-3109730862",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment/MS-3109730862",
"name": "ARPU",
"description": "ARPU Segment",
"lifecycleStatus": "In design",
"lastUpdate": "2025-10-23T08:09:44.080Z",
"validFor": {
"startDateTime": "2025-09-12T00:00:00.000Z",
"endDateTime": "2025-10-09T00:00:00.000Z"
},
"version": "1.0",
"@type": "MarketSegmentOracle",
"project": {
"id": "P-2341675923-1758270057151",
"name": "Retire Init3",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-2341675923-1758270057151",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"lastUpdatedBy": "booth",
"created": "2025-10-23T08:09:44.000Z",
"createdBy": "booth",
"versionState": 0
},
{
"id": "MS-3109730863",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/marketSegment/MS-3109730863",
"name": "AMPU",
"description": "AMPU Segment",
"lifecycleStatus": "In design",
"lastUpdate": "2025-10-23T08:09:44.080Z",
"validFor": {
"startDateTime": "2025-09-12T00:00:00.000Z",
"endDateTime": "2025-10-09T00:00:00.000Z"
},
"version": "1.0",
"@type": "MarketSegmentOracle",
"project": {
"id": "P-2341675923-1758270057151",
"name": "Retire Init3",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-2341675923-1758270057151",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"lastUpdatedBy": "booth",
"created": "2025-10-23T08:09:44.000Z",
"createdBy": "booth",
"versionState": 0
}